<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>cnp &#8212; numpy 0.0.post1.dev4+gdc3df0d documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=233b9934" />
    <script src="../_static/documentation_options.js?v=a3874995"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="cnp">
<h1>cnp<a class="headerlink" href="#cnp" title="Link to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="cnp.html">cnp package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#module-cnp.app">cnp.app module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.app.Storage"><code class="docutils literal notranslate"><span class="pre">Storage</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.app.process_commands"><code class="docutils literal notranslate"><span class="pre">process_commands()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#module-cnp.common">cnp.common module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.common.generator"><code class="docutils literal notranslate"><span class="pre">generator()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.common.params_to_dict"><code class="docutils literal notranslate"><span class="pre">params_to_dict()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.common.processor"><code class="docutils literal notranslate"><span class="pre">processor()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#module-cnp.inout">cnp.inout module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.inout.dumps"><code class="docutils literal notranslate"><span class="pre">dumps()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.inout.read"><code class="docutils literal notranslate"><span class="pre">read()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.inout.write"><code class="docutils literal notranslate"><span class="pre">write()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#module-cnp.nparray">cnp.nparray module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.nparray.axiswise_unary_generator"><code class="docutils literal notranslate"><span class="pre">axiswise_unary_generator()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.nparray.binary_generator"><code class="docutils literal notranslate"><span class="pre">binary_generator()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.nparray.binary_ufunc_generator"><code class="docutils literal notranslate"><span class="pre">binary_ufunc_generator()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.nparray.elementwise_unary_generator"><code class="docutils literal notranslate"><span class="pre">elementwise_unary_generator()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.nparray.random"><code class="docutils literal notranslate"><span class="pre">random()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#module-cnp.queue">cnp.queue module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.queue.pop"><code class="docutils literal notranslate"><span class="pre">pop()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="cnp.html#cnp.queue.push"><code class="docutils literal notranslate"><span class="pre">push()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#module-cnp">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">numpy</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../cnp.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="../license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../changelog.html">Changelog</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Contextualize.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/api/modules.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>